# README

This Python module can be used to log memory usage of pyspark executors.

## Usage

In your pyspark executor, do the following to log memory usage e.g. every 5 seconds:

```
from spark_memlogger import memlogger
ml = memlogger.MemLogger(5)
try:
  ml.start()
  # here goes the code you want to trace ...
finally:
  ml.stop()
```

When submitting the Spark job, the memory traces can be found in the spark-memlogs ES index of the ES5 cluster.

Authors:
* Marcel Buchhorn (marcel.buchhorn@vito.be)
* Dirk Daems (dirk.daems@vito.be)
